<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.mall.manager.datasource.engin.mapper.SysUserMapper">

    <select id="findUserByName" resultType="com.zfire.mall.manager.datasource.engin.entity.SysUser">
        SELECT
            id,
            username AS userName,
            password,
            nikename AS nickname,
            email,
            department,
            organizationid AS organizationId,
            organizationnumber AS organizationNumber,
            discri,
            canupload AS canUpload,
            canUpdate AS canupdate,
            salt,
            isvalid AS isValid,
            issuper AS isSuper
        FROM
            sysuser
        WHERE
            username = #{userName}
    </select>

</mapper>